<template>
  <div class="content">
    <div class="header">
      <div class="headimg">
        <img width="167px" height="44px" src="@/assets/home/logo.png" alt="" />
      </div>
    </div>
    <div class="center w-[70%] h-[584px] bg-white mx-auto m-12">
      <div class="flex items-center p-5 pl-6">
        <img src="@/assets/home/xian.png" alt="" />
        <span style="margin-left: 5px">注册向导</span>
      </div>
      <div class="w-[95%] border-1 border-[#E5E5E5] mx-auto pt-5 pb-2">
        <el-steps style="max-width: 100%" :active="active" align-center>
          <el-step title="阅读注册协议" />
          <el-step title="填写基本信息" />
          <el-step title="信息登记完成" />
        </el-steps>
      </div>
      <div v-if="active == 0" class="h-[60%]">
        <div class="text-center pt-5 pb-1.5">注册条款</div>
        <div
          class="w-[95%] h-[82%] border-1 border-[#E5E5E5] mx-auto p-2 overflow-y-auto"
        >
          <h3>注册采购供应商应具备以下条件</h3>
        </div>
      </div>
      <div v-else-if="active == 1" class="h-[60%]">
        <div class="text-center pt-5 pb-1.5">注册条款</div>
        <div
          class="w-[95%] h-[82%] border-1 border-[#E5E5E5] mx-auto p-2 overflow-y-auto"
        >
          <h3>注册采购供应商应具备以下条件</h3>
        </div>
      </div>
      <div class="mx-auto pt-1 flex justify-center">
        <el-button :disabled="active == 0" @click="backStep">上一步</el-button>
        <el-button type="primary" @click="nextStep">同意下一步</el-button>
      </div>
    </div>
  </div>
</template>
<script setup>
import { h, ref } from "vue";
defineOptions({
  name: "RegisterNav"
});
let active = ref(0);
const nextStep = () => {
  active.value++;
};
const backStep = () => {
  active.value--;
};
</script>
<style lang="scss" scoped>
.content {
  background-color: #f8f8f8;
  width: 100%;
  height: 100%;
  .header {
    display: flex;
    align-items: center;
    height: 80px;
    width: 100%;
    margin: 0 auto;
    background-color: #fff;
    .headimg {
      width: 1200px;
      margin: 0 auto;
    }
  }
  :deep .el-step__icon {
    font-size: 12px;
    height: 20px;
    width: 20px;
  }
}
:deep .el-step__title {
  font-size: 12px;
}
</style>
